apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  annotations:
    machine.openshift.io/GPU: "0"
    machine.openshift.io/memoryMb: "16384"
    machine.openshift.io/vCPU: "4"
  creationTimestamp: "2021-12-14T18:00:39Z"
  generation: 1
  labels:
    hive.openshift.io/machine-pool: worker
    hive.openshift.io/managed: "true"
    machine.openshift.io/cluster-api-cluster: abutcher-azgov-6v47q-5cmfw
    machine.openshift.io/cluster-api-machine-role: worker
    machine.openshift.io/cluster-api-machine-type: worker
spec:
  replicas: 1
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: abutcher-azgov-6v47q-5cmfw
      machine.openshift.io/cluster-api-machineset: abutcher-azgov-6v47q-5cmfw-worker-usgovvirginia1
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: abutcher-azgov-6v47q-5cmfw
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: abutcher-azgov-6v47q-5cmfw-worker-usgovvirginia1
    spec:
      metadata: {}
      providerSpec:
        value:
          apiVersion: azureproviderconfig.openshift.io/v1beta1
          credentialsSecret:
            name: azure-cloud-credentials
            namespace: openshift-machine-api
          image:
            offer: ""
            publisher: ""
            resourceID: /resourceGroups/abutcher-azgov-6v47q-5cmfw-rg/providers/Microsoft.Compute/images/abutcher-azgov-6v47q-5cmfw
            sku: ""
            version: ""
          kind: AzureMachineProviderSpec
          location: usgovvirginia
          managedIdentity: abutcher-azgov-6v47q-5cmfw-identity
          metadata:
            creationTimestamp: null
          networkResourceGroup: abutcher-azgov-6v47q-5cmfw-rg
          osDisk:
            diskSizeGB: 128
            managedDisk:
              storageAccountType: Premium_LRS
            osType: Linux
          publicIP: false
          publicLoadBalancer: abutcher-azgov-6v47q-5cmfw
          resourceGroup: abutcher-azgov-6v47q-5cmfw-rg
          subnet: abutcher-azgov-6v47q-5cmfw-worker-subnet
          userDataSecret:
            name: worker-user-data
          vmSize: Standard_D4s_v3
          vnet: abutcher-azgov-6v47q-5cmfw-vnet
          zone: "1"
